/* JFox, the OpenSource J2EE Application Server
 *
 * Copyright (C) 2002 huihoo.org
 * Distributable under GNU LGPL license
 * See the GNU Lesser General Public License for more details.
 */

package org.huihoo.jfox.logging;

/**
 * 
 * @author <a href="mailto:young_yy@hotmail.com">Young Yang</a>
 */


public interface LogManagerMBean {

  public final static String OBJECT_NAME = "Logger:name=LogManager";

  /**
   * set the Level of rootLogger
   */
	public void setLevel(String level);
  public String getLevel();

  /**
   * set appender pattern of the rootLogger
   */
  public void setPattern(String appenderName, String pattern);
  public String getPattern(String appenderName);

  /**
   * LogerManager.resetConfig & reset the root default appender
   */
  public void reset();

}
